Rygel.MediaObjects – librygel-server Reference Manual

# MediaObjects

## Object Hierarchy:

## Description:

public class MediaObjects : `ArrayList`<MediaObject>

An array list that keeps media objects.

Namespace: Rygel
Package: librygel-server

## Content:

### Constants:

- public const unowned `string` SORT_CAPS

### Creation methods:

- public MediaObjects ()

### Methods:

- public override `List`<MediaObject>? slice (`int` start, `int` stop)
- public void sort_by_criteria (`string` sort_criteria)

### Inherited Members:

All known members inherited from class Gee.ArrayList

- equal_func
- read_only
- size
- add
- add_all
- bidir_list_iterator

- clear
- contains
- @foreach
- @get
- index_of
- insert

- iterator
- list_iterator
- remove
- remove_at
- @set
- slice

All known members inherited from class Gee.AbstractBidirList

- read_only_view

- bidir_list_iterator

All known members inherited from class Gee.AbstractList

- read_only_view
- @get
- index_of

- insert
- list_iterator
- remove_at

- @set
- slice

All known members inherited from class Gee.AbstractCollection

- read_only
- read_only_view
- size

- add
- clear
- contains

- @foreach
- iterator
- remove

All known members inherited from class GLib.Object

- @new
- newv
- new_valist
- get_type
- get_class
- @ref
- unref
- ref_sink
- weak_ref
- weak_unref
- add_weak_pointer
- remove_weak_pointer

- @get
- @set
- get_property
- set_property
- get_data
- set_data
- set_data_full
- steal_data
- get_qdata
- set_qdata
- set_qdata_full
- steal_qdata

- freeze_notify
- thaw_notify
- dispose
- constructed
- notify_property
- connect
- disconnect
- add_toggle_ref
- remove_toggle_ref
- bind_property
- notify
- ref_count

All known members inherited from interface Gee.BidirList

- read_only_view

- bidir_list_iterator

All known members inherited from interface Gee.List

- read_only_view
- empty
- first
- @get
- index_of

- insert
- insert_all
- last
- list_iterator

- remove_at
- @set
- slice
- sort

All known members inherited from interface Gee.Traversable

- element_type
- chop
- filter

- fold
- @foreach
- map

- scan
- stream

All known members inherited from interface Gee.Iterable

- iterator

All known members inherited from interface Gee.Collection

- is_empty
- read_only
- read_only_view
- size
- empty

- add
- add_all
- clear
- contains
- contains_all

- remove
- remove_all
- retain_all
- to_array